set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "RECALL ANY FILE" {
  file="topo2.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="dump1.dtm"
  mode="openInNewLayer"
}]

set status [ SclFunction "TRISOLATION DTM/DTM UPPER" {
  frm00641={
    {
      _action="display"
      layer_name="layer_ upper"
      object_no="1"
    }
  }
  select_triangle=table { winx winy objectx objecty objectz } {
    { "-0.407" "-0.501" "429835.342" "24730.444" "31.151" }
    { "-0.735" "-0.617" "429692.769" "24686.653" "13.681" }
  }
}]

set status [ SclFunction "FILE SAVE" {
  frmsaveFileAs={
    {
      AutoCAD={
        version="Autocad 18"
      }
      _action="display"
      output_file="surpac2dtm:upper_triangles"
      outputExt=".dtm"
      Datamine={
        binary_precision="Single"
      }
      Surpac={
        FileFormat="text"
        ForceValidation="true"
        Purpose=""
        ForceCompatibility="true"
        range=""
      }
      output_type="Surpac DTM Files"
    }
  }
}]

set status [ SclFunction "ZOOM OUT" {} ]
set status [ SclFunction "ZOOM OUT" {} ]

puts ""
puts ""
puts "macro _08f_upper_triangles_of_2dtm.tcl completed"
puts ""
